TFifoFilterSink< T > Class Template Reference
Test classes and functions

Helper class for testing FIFO filter chains. More...

`#include <mia/core/fifofilter.hh>`

Inheritance diagram for TFifoFilterSink< T >:
[legend]
Collaboration diagram for TFifoFilterSink< T >:
[legend]

## Public Types

typedef std::shared_ptr< TFifoFilterSink< T > > | Pointer
| smart pointer representing this class
typedef std::vector< T > | result_type
| The result of the processing.
Public Types inherited from TFifoFilter< T >
typedef std::shared_ptr< TFifoFilter > | Pointer
| smart pointer representing this class

## Public Member Functions

const result_type & | result ()
| TFifoFilterSink ()
Public Member Functions inherited from TFifoFilter< T >
void | append_filter (Pointer last)
void | finalize ()
void | push (typename ::boost::call_traits< T >::param_type x)
| TFifoFilter (size_t width, size_t min_fill, size_t read_start)

## Additional Inherited Members

Protected Member Functions inherited from TFifoFilter< T >
size_t | get_buffer_size () const
size_t | get_end () const
size_t | get_pos () const
size_t | get_start () const

## Detailed Description

template<typename T>
class TFifoFilterSink< T >

Helper class for testing FIFO filter chains.

Generic data sink as end of the filter chain that is used for testing purpouses.

Definition at line 158 of file fifofilter.hh.

## Member Typedef Documentation

## Pointer

template<typename T>

typedef std::shared_ptr< TFifoFilterSink<T> > TFifoFilterSink< T >::Pointer

smart pointer representing this class

Definition at line 165 of file fifofilter.hh.

## result_type

template<typename T>

typedef std::vector<T> TFifoFilterSink< T >::result_type

The result of the processing.

Definition at line 162 of file fifofilter.hh.

## Constructor & Destructor Documentation

## TFifoFilterSink()

template<typename T>

TFifoFilterSink< T >::TFifoFilterSink | ( |  | ) |

contructor, its implementation is required because TFifoFilter doesn't provide a standard constructor

## Member Function Documentation

## result()

template<typename T>

const result_type & TFifoFilterSink< T >::result | ( |  | ) |

Returns
  the vector of result values

The documentation for this class was generated from the following file:

- fifofilter.hh